R_GET_HOST_FROM_DISPLAY(3)

FUNCTION
r_get_host_from_display - Get the hostname in a display string.

SYNOPSIS
#include <karma_r.h>

CONST char * r_get_host_from_display

(CONST char *display)

DESCRIPTION
This routine will get the hostname from a display string. The syntax for the display string is the same as for the X Windows system DISPLAY environmental variable.

display
    The display string. If this is NULL, the host "unix" is returned.

RETURN VALUE
A pointer to a statically allocated string which will contain the host name on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/